# Copyright 2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=8

DESCRIPTION="vimcat: cat with vim syntax-highlighting"
HOMEPAGE=""

if [[ ${PV} == "9999" ]]; then
	inherit git-r3
	EGIT_REPO_URI="https://github.com/ofavre/${PN}.git"
	KEYWORDS=""
else
	SRC_URI="https://github.com/ofavre/${PN}/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz"
	KEYWORDS="~amd64 -x86"
fi

LICENSE="bsd2"
SLOT="0"

DEPEND=""
RDEPEND="${DEPEND} app-editors/vim"
BDEPEND=""

src_prepare() {
	default
	if [[ ${PV} != "9999" ]]; then
		mv ${PN}{,-${PV}}
	fi
}

src_compile() {
	:
}

src_install() {
	if [[ ${PV} == "9999" ]]; then
		dobin ${PN}
	else
		dobin ${P}
	fi
}
